%define pname     streamdev
%define plugindir %(vdr-config --plugindir  2>/dev/null || echo ERROR)
%define apiver    %(vdr-config --apiversion 2>/dev/null || echo ERROR)
%define configdir %(vdr-config --configdir  2>/dev/null || echo ERROR)

Name:           vdr-%{pname}
Version:        0.3.4
Release:        2%{?dist}
Summary:        Streaming plugin for VDR

Group:          Applications/Multimedia
License:        GPL+ and GPLv2+
URL:            http://streamdev.vdr-developer.org
Source0:        http://streamdev.vdr-developer.org/releases/vdr-streamdev-%{version}.tgz
# Configuration files for plugin parameters. These are Fedora specific and not in upstream.
Source1:        %{name}-server.conf
Source2:        %{name}-client.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  vdr-devel >= 1.3.47

%description
The streamdev plugin adds streaming capabilities to your VDR.

%package server
Summary:        Streaming server plugin for VDR
Group:          Applications/Multimedia
Requires:       vdr(abi) = %{apiver}

%description server
Lets your VDR act as a streaming server for other clients.
This will let you watch TV or Recordings across the network.

%package client
Summary:        Streaming client plugin for VDR
Group:          Applications/Multimedia
Requires:       vdr(abi) = %{apiver}

%description client
Lets your VDR in conjunction with a streamdev-server act as a streaming client.
VDR will then be able to work even without a DVB device.

%prep
%setup -q -n %{pname}-%{version}

%build
make %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr all

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{plugindir}
install -dm 755 $RPM_BUILD_ROOT%{configdir}/plugins
install -pm 755 libvdr-%{pname}-server.so.%{apiver} $RPM_BUILD_ROOT%{plugindir}
install -pm 755 libvdr-%{pname}-client.so.%{apiver} $RPM_BUILD_ROOT%{plugindir}
install -Dpm 644 streamdevhosts.conf.example $RPM_BUILD_ROOT%{configdir}/plugins/streamdevhosts.conf
install -Dpm 644 %{SOURCE1} \
  $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}-server.conf
install -Dpm 644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}-client.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files server
%defattr(-,root,root,-)
%{plugindir}/libvdr-%{pname}-server.so.%{apiver}
%config(noreplace) %{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}-server.conf
%config(noreplace) %{configdir}/plugins/streamdevhosts.conf
%doc CONTRIBUTORS COPYING HISTORY PROTOCOL README

%files client
%defattr(-,root,root,-)
%{plugindir}/libvdr-%{pname}-client.so.%{apiver}
%config(noreplace) %{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}-client.conf
%doc CONTRIBUTORS COPYING HISTORY PROTOCOL README

%changelog
* Sat Aug 30 2008 Felix Kaechele <felix at fetzig dot org> - 0.3.4-2
- Incorporated fixes suggested in bug #454120
* Fri Jul  4 2008 Felix Kaechele <felix at fetzig dot org> - 0.3.4-1
- Initial Build
